<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="oximetria">
        <h2 class="jh-entity-heading" data-cy="oximetriaDetailsHeading">
          <span v-text="$t('gatewayApp.manillaOximetria.detail.title')">Oximetria</span> {{ oximetria.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaOximetria.oximetria')">Oximetria</span>
          </dt>
          <dd>
            <span>{{ oximetria.oximetria }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaOximetria.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="oximetria.fechaRegistro">{{ $d(Date.parse(oximetria.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaOximetria.user')">User</span>
          </dt>
          <dd>
            {{ oximetria.user ? oximetria.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="oximetria.id"
          :to="{ name: 'OximetriaEdit', params: { oximetriaId: oximetria.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./oximetria-details.component.ts"></script>
